OFED_release_notes.txt: Updated for 4.17-1-rc1 master origin/master
authorVladimir Sokolovsky <vlad@mellanox.com>
Tue, 9 Apr 2019 14:42:19 +0000 (09:42 -0500)
committerVladimir Sokolovsky <vlad@mellanox.com>
Tue, 9 Apr 2019 15:05:33 +0000 (10:05 -0500)
Signed-off-by: Vladimir Sokolovsky <vlad@mellanox.com>
OFED_release_notes.txt

index 7e57883..2d106cb 100644 (file)
@@ -1,12 +1,12 @@
            Open Fabrics Enterprise Distribution (OFED)
-                 Version 4.17 Release Notes
-                      January 2019
+                 Version 4.17-1 Release Notes
+                      April 2019
 
 ===============================================================================
 Table of Contents
 ===============================================================================
 1. Overview, which includes:
-       - OFED Distribution Rev 4.17 Contents
+       - OFED Distribution Rev 4.17-1 Contents
        - Supported Platforms and Operating Systems
        - Supported HCA and RNIC Adapter Cards and Firmware Versions
        - Tested Switch Platforms
@@ -35,7 +35,7 @@ Failing to do so may lead to failing to probe vendor specific infiniband drivers
 with a mismatch message, or running with inbox drivers instead of the drivers
 that are part of OFED.
 
-1.1 OFED 4.17 Contents
+1.1 OFED 4.17-1 Contents
 -----------------------
 The OFED package contains the following components:
  - OpenFabrics core and ULPs:
@@ -66,11 +66,11 @@ The OFED package contains the following components:
   o   Linux Operating Systems:
        - RedHat EL7.4          3.10.0-693.el7
        - RedHat EL7.5          3.10.0-862.el7
+       - RedHat EL7.6          3.10.0-957.el7
        - SLES12.3              4.4.73-5-default
+       - SLES12.4              4.12.14-94.41-default
        - SLES15                4.12.14-23.1-default
-       - kernel.org            4.17    *
-
-      * Minimal QA for these versions.
+       - kernel.org            4.17
 
 1.3 HCAs and RNICs Supported
 ----------------------------
@@ -171,7 +171,11 @@ The following third party packages have been tested with OFED 4.17:
 
 1.6 OFED Sources
 ----------------
-All sources are located under git://git.openfabrics.org/
+All sources are located under:
+git://git.openfabrics.org
+https://github.com/linux-rdma
+https://github.com/Mellanox/mstflint
+https://github.com/ofiwg/libfabric
 
 Linux:
 ------
@@ -224,6 +228,29 @@ http://www.openfabrics.org/downloads/MAINTAINERS
 ===============================================================================
 2. Change log
 ===============================================================================
+-------------------------------------------------------------------------------
+OFED-4.17-1-rc1 Main Changes from OFED-4.17
+-------------------------------------------------------------------------------
+1. Add support for RHEL7.6 and SLES12 SP4
+
+2. compat-rdma
+- bnxt_en: Fix bnxt_en compilation for RH 7.6
+- Add vmw_pvrdma patch from linux-next
+- compat: Move bpf_prog_sub to be exported by compat
+
+3. Updated packages
+- rdma-core v17.4
+- perftest-4.4-0.3.g7a8e409 (Downgraded due to bug: 2698)
+- mstflint-4.11.0-4
+- libfabric-1.7.1
+- fabtests-1.7.1
+
+4. ofed-scripts
+- install.pl: Updated rdma-core requirements
+- install.pl: Disable compat-rdma-firmware on SLES12SP4 due to conflict
+- install.pl: Added SLES12 SP4 support
+- install.pl: Added RHEL7.6 support
+- install.pl: Added openssl-devel requirement for mstflint
 
 -------------------------------------------------------------------------------
 OFED-4.17 Main Changes from OFED-4.8-2